insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'DataSizePerCategory', rownum, 
totals, id from 
(select cad_category_id as id, 
coalesce(length(cad_blob),1) as totals
from cad 
where  cad_company_id = 40001
and cad_next_version_id = 999999999
order by totals desc
) ;
commit;
quit;
